/* Lightwave - EZCron script
** This script will launch Lightwave standalone, load the scene, and begin to render
** 
*/


/* GLOBAL VARIABLES - - - SET THESE FOR YOUR SYSTEM */

lwpath 		= 'fs:lw/lightwave.fp'   	/* Change this to YOUR lightwave path */
lwscene 	= 'data:3d/scenes/myscene'  /* This is your LW scenes path */
endframe 	= 000                       /* This is the LAST frame # to render */
framesave 	= 'new:pics/Rendered.'     	/* This is your save path for rendered frames */
/***************************************************************************/

call addlib("rexxarplib.library", 0, -30, 0)

/* This function counts the rendered frames and starts LW rendering on the
** next frame automatically
*/
FF = filelist('NEW:PICS/rendered.#?',stem)  /* rendered pics save path */
FFrame = ff + 1

ADDRESS command 'RUN' lwpath  /* This command actually runs lightwave */

CALL DELAY(375)   /* I use a delay here instead of WaitForPort */

address 'LightWaveARexx.port' loadscene lwscene       /* LW Scene path/file */
address 'LightWaveARexx.port' firstframe fframe       
address 'LightWaveARexx.port' lastframe endframe              /* This will need to be changed per project */
address 'LightWaveARexx.port' framestep 1
address 'LightWaveARexx.port' saveimages framesave /* The Path & Filename for Image Save */
address 'LightWaveARexx.port' Render 

/*  End of the command list  */

/* say 'Exiting...' */
exit 0
